0.239 2021-12-29
----------------


MAME Testers Bugs Fixed
-----------------------
- 00413: [Sound] (crimfght.cpp) crimfght: Music plays slightly too slowly. (Aaron Giles)
- 01080: [Interface] (asteroid.cpp) Controller configuration files can’t override driver-supplied input mappings. (Vas Crabb)
- 01232: [Sound] (aliens.cpp) aliens: Music plays slower in MAME compared to PCB recording. (Aaron Giles)
- 03232: [Crash/Freeze] (gaelco.cpp) thoop: Continuing after losing all lives on stage 4 results in a black screen. (David Haywood)
- 03737: [Speed] (nemesis.cpp) salamand, lifefrce: Music is too slow. (Aaron Giles)
- 03754: [Sound] (thunderx.cpp) scontra, scontraj: Sound plays too slowly and channel volume balance is incorrect. (Aaron Giles)
- 04825: [Sound] (vendetta.cpp) vendetta: Music tempo is slower in MAME than on a real PCB. (Aaron Giles)
- 05919: [Graphics] (gaelco.cpp) thoop: Sprites are incorrectly drawn over foreground objects. (David Haywood)
- 06393: [Gameplay] (vendetta.cpp) vendetta (all versions): Hit boxes for some grounded enemies are incorrect. (Angelo Salese)
- 06764: [Misc.] (deco32.cpp) captaven and clones: Sound is out of sync with video for end credits sequence. (Aaron Giles)
- 07078: [Sound] (tmnt.cpp) tmnt, tmntua, tmntj: Music plays slower than it should. (Aaron Giles)
- 07153: [DIP/Input] (asteroid.cpp) Apparently all systems: SlikStick configuration for asteroid isn’t applied. (Vas Crabb)
- 07191: [Documentation] (maygayep.cpp) ep_ijob: A number of descriptions are missing the initial “The”. (AntoPISA)
- 07716: [Crash/Freeze] (cdi.cpp) cdimono1 [linkfoe, zeldgamu, zeldgam]: Game crashes when selecting a level. (Ryan Holtz)
- 07839: [Gameplay] (vendetta.cpp) vendetta and all clones: Attract mode demonstration plays incorrectly. (Angelo Salese)
- 07878: [Crash/Freeze] (mini2440.cpp) mini2440: System hangs during boot process. (Ryan Holtz)
- 08041: [Crash/Freeze] (nes.cpp) fds [smb2]: Game freezes at title screen (it should be animated). (kmg)
- 08135: [DIP/Input] (taito_f2.cpp) qzquest: DIP switches 2-3 and 2-4 control the countdown timer speed. (Steven Coomber)
- 08138: [Media Support] (c64.cpp) gberet: Some tape software only works with no disk drives connected. (Steven Coomber)
- 08139: [Core] emumem: Memory access handlers are not being released properly, causing memory leaks. (O. Galibert)
- 08140: [Known Issues/To-Do's] (psion5.cpp) psion5mx: System fails to boot, only showing a blank screen. (Ryan Holtz)
- 08145: [Crash/Freeze] (segas32.cpp) f1lap: Game won’t boot if settings are changed, and may not reset correctly. (Ivan Vangelista)
- 08147: [Documentation] (vsnes.cpp) balonfgt: DIP switch settings for extra lives are labeled incorrectly. (kmg)
- 08148: [DIP/Input] (cinemat.cpp) spacewar, spaceshp: Playfield reset button is missing. (kmg)
- 08159: [Interface] (vegas.cpp) sf2049, sf2049se: Selected view is not saved correctly. (Vas Crabb)
- 08162: [DIP/Input] (cyclemb.cpp) skydest: Up and down joystick inputs are reversed. (Steven Coomber)


New working machines
--------------------
Amstar Draw Poker [darkdawgarcade, Brian Troha, f205v, simzy, Roberto Fresca]
Player's Edge Plus (PS0040) Jackpot Jungle Slots [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0048) Double Jackpot Slots [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0070) Hurricane Slots [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0086) Earth Quake Slots [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0267) Spin Til You Win Slots [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0623) Black Cherry Slots [Brian Troha, Kevin Nagle]
Super Model II [Brian Troha, Darksoft, simzy, The Dumping Union]
Svetlana Elektronika IM-01 [Radon17]
Tom Storey Z80 based, triple time zone clock [smf]


New working clones
------------------
Ataka asteroidov [algestam, Milan Galcik]
Chouji Meikyuu Legion (Japan ver 1.05, set 2) [system11]
Fidelity Electronics Designer Mach III Master 2265 (set 2) [Berger]
DoDonPachi Dai-Ou-Jou Black Label (Japan, 2002.10.07.Black Ver, newer) [Blomman, MetalliC, rtw]
Fighting Layer (FTL3/VER.A) [coolmod]
Franklin Computer Franklin ACE 500 [R. Belmont]
Franklin Computer Franklin ACE 2200 [R. Belmont]
Golden Tee '98 (v1.00C) [Brian Troha, The Dumping Union]
Hockey (Elektronika) [algestam, Milan Galcik]
Kosmicheskiy polyot [algestam, Milan Galcik]
Kot-rybolov (Elektronika) [algestam, Milan Galcik]
Kvaka-zadavaka [algestam, Milan Galcik]
The Lord of King (bootleg, protected) [Siftware]
Mahjong Ougon no Hai (bootleg set 2) [XingXing, little0]
Majestic Twelve - The Space Invaders Part IV (US) [Arcadecomponents.com]
Morskaja ataka [algestam, Milan Galcik]
NedoPC, TS-Labs ZX Evolution TS-Configuration [holub]
Nochnye vorishki [algestam, Milan Galcik]
Off Road Challenge (v1.00) [anonymous]
The Outfoxies (Japan, OU1, alternate GFX ROMs) [Silvio Grazini]
Player's Edge Plus (PS0015) Super Joker Slots [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0041) Jackpot Jungle Slots [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0044) Red White & Blue Slots [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0271) Spin Til You Win Slots [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0275) 4th of July Slots (set 1) [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0275) 4th of July Slots (set 2) [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0280) 4th of July Slots (set 2) [Brian Troha, Kevin Nagle]
Player's Edge Plus (PS0291) Haywire Slots [Brian Troha, Kevin Nagle]
SciSys Kasparov Leonardo (v1.0) [Phil Chandler, Berger]
Super Real Mahjong VS (Rev A) [Forest of Illusion]
Svetlana Elektronika IM-01T [hap, Radon17, Berger]


Machines promoted to working
----------------------------
Casio CTK-551 [Devin Acker, O. Galibert]
Philips CD-i (Mono-I) (PAL) [Ryan Holtz, CD-i Fan]


Clones promoted to working
--------------------------
Mahjong Ougon no Hai (bootleg set 1) [XingXing]


New machines marked as NOT_WORKING
----------------------------------
Atari 2600 Point of Purchase Display [Wilbert Pol]
Chibi Maruko-chan ~Minna de Sugoroku Asobi~ no Maki [Darksoft, MetalliC, rtw]
Coche Bully [ClawGrip]
Coolboy RS-17 - 203 in 1 [kmg]
Final Fight 3 (SNES bootleg) [hammy, iq_132]
Human Designed Systems HDS200 [Bitsavers]
JoMoX AiRBase 99 [DBWBP]
Kawai Musical Instruments Manufacturing ACR-20 Digital Accompaniment Center [DBWBP]
Long Hu Zhengba San He Yi (V100CN) [XingXing, little0]
Master Crane (set 1) [Israel León (Retrolover), ClawGrip]
Puyo Puyo! The Medal Edition [Darksoft, MetalliC, rtw]
Sonic The Hedgehog 3 (bootleg of Mega Drive version) [Victor Fernandez (City Game)]
Super Mario Fushigi no JanJanLand [Darksoft, MetalliC, rtw]
Yamaha RX15 Digital Rhythm Programmer [DBWBP]


New clones marked as NOT_WORKING
--------------------------------
Dirt Dash (Rev. DT2 Ver.B, World) [Guru]
Downhill Bikers (World, DH2 Ver. A) [Guru]
Gals Panic II (Korea, single PCB) [Brian Troha, Simzy, darkdawgarcade, The Dumping Union]
Mahjong Ougon no Hai (bootleg set 3) [XingXing, little0]
Master Crane (set 2) [Israel León (Retrolover), ClawGrip]
Motor Show (set 2) [Robbbert]
Motor Show (set 3) [Robbbert]
Player's Edge Plus (PS0205) Red White & Blue Slots [Brian Troha, Kevin Nagle]


New working software list additions
-----------------------------------
apple2_flop_clcracked:
  A-mazing Words (cleanly cracked), Chariots, Cougars, and Kings (Version 03.12.86) (cleanly cracked),
  Dividing Decimals (Version 1.1) (cleanly cracked), Logic Workout (cleanly cracked), Mighty Math (cleanly cracked),
  Moonlight and Madness Level II (Version 04.19.88) (cleanly cracked), Numberball (cleanly cracked),
  Percentage Panic (cleanly cracked), PFS:File (Version A.00) (cleanly cracked), Punctuation Skills: Commas (cleanly cracked),
  Space Port (cleanly cracked), Take Me North (cleanly cracked), Word-Player (cleanly cracked) [4am, Firehawke]
  Apple Project Manager (cleanly cracked), Circuit Analysis (cleanly cracked), Galactic Wars (cleanly cracked)
  [4am, san inc., Firehawke]
apple2_flop_orig:
  Alice in Wonderland and The Wizard of Oz (800K 3.5"), Animals with an Attitude (800K 3.5"),
  Beauty and the Beast and The Little Mermaid (800K 3.5"), Big Book Maker: Cute and Cuddly (800K 3.5"),
  Big Book Maker: Feeling Good About Yourself (800K 3.5"), Big Book Maker: Let's Pretend (800K 3.5"),
  Big Book Maker: Letters, Numbers, Shapes (800K 3.5"), Big Book Maker: Myths and Legends (800K 3.5"),
  Big Book Maker: Quentin (800K 3.5"), Big Book Maker: Tall Tales and American Folk Heroes (800K 3.5"),
  Dinosaur Days Plus! (800K 3.5"), Disk Organizer (Version 2.6), Essential Data Duplicator (Version 4.4), J-Bird,
  Math and Me (Version 1.6) (800K 3.5"), Math Blaster Mystery (Version 1.3) (800K 3.5"),
  Math Blaster Plus! (Version 3.7) (800K 3.5"), Math Blaster! (Version 06.01.87) (800K 3.5"), Nibbles Away ][ (Version C3),
  Once Upon A Time... Puppet Playhouse (800K 3.5"), A Question of Scruples, Read 'N Roll (Version 1.1) (800K 3.5"),
  Robin Hood and Peter Pan (800K 3.5"), Robot Writer Plus! (800K 3.5"), Spell It Plus! (800K 3.5"),
  Spell It! (Version 06.01.87) (800K 3.5"), Star Dance, Super Disk Copy (Version 3.8), Transportation Transformation (800K 3.5"),
  Wargle!, The Whole Neighborhood (800K 3.5") [4am, Firehawke]
c64_cass:
  H.E.R.O. (Activision), Hacker, HardBall (Compulogical S.A.), HardBall!, Harvey Smith Showjumper, Head Over Heels (Ocean),
  Heartland, Hero Quest, Herobotix, High Frontier, Hits! Vol 1, The Hobbit, Hopping Mad (Elite Systems), Hostages, Hot Shot,
  Hot Wheels, The House Mix, Howard the Duck, Human Killing Machine, The Hunt for Red October, Hunter's Moon, Hyper Sports,
  Ice Hunter, IK+, Imagine's Arcade Giants, Impact, Impossible Mission, Impossible Mission (CBS Software), Impossible Mission II,
  Indiana Jones and the Temple of Doom, Infiltrator, Inspector Gadget and the Circus of !!Fear!!, International Karate,
  International Karate (Prism Leisure), International Tennis, It's a Knockout, Jack the Nipper,
  Jack the Nipper II: In Coconut Capers (Gremlin Graphics), James Bond 007 in The Living Daylights - The Computer Game, Jinks,
  Jon Ritman's Match Day II, Juice!, Jump Jet, Jungle Quest, Jungle Quest (alt), Kayleth, Kennedy Approach, Kettle (alt),
  Killed Until Dead, Kinetik, Klax, Knight Rider, Konami's Coin-Op Hits, Kong, Kong (alt), Kong Strikes Back!, Krakout, Kwik Snax,
  Labyrinth: The Computer Game (Activision), Last Mission, The Last Ninja (Activision), Last Ninja 2: Back with a Vengeance,
  Last Ninja 3, Law of the West, Leader Board, Leader Board: Executive Edition, Legend of Kage, Licence To Kill,
  Little Computer People, Live Ammo, Mag Max [The Ultimate Tape Archive Team]
fmtowns_flop_orig:
  FMR/Towns Kihon DOS Tools, Hometown, U.S.A., Hon'yaku Helper Zurukamashi, Hon'yaku Helper Zurukamashi - Jisho Disk Junior,
  Sadistic Gamers Syndrome - Episode I, Towns Drill - Shougaku Sansuu Series - Sansuu 1-nen (TownsGEAR V2.1 version),
  Yoku Wakaru Sansuu - Shougaku 2-nen [cyo.the.vile]
gba:
  Mechanic Mechanica (Japan, prototype) [Forest of Illusion]
  Perplexus Diodomin (prototype) [James Boulton, GTW]
ibm5150:
  Grand Prix Circuit [DFXThomas]
  Boulder Dash (3.5"), Buffalo Bill's Rodeo Games, F-19 Stealth Fighter (Version 435.04, disk + manual protection), The Last Ninja,
  Pro Tennis Tour, Rampage, Tennis Cup II, Toi Acid Game [flyers80]
  The Black Cauldron (v1.1m, cracked) King's Quest II: Romancing the Throne (v2.2, 3.5"),
  King's Quest III: To Heir Is Human (v2.00, 5.25"), Might and Magic: Book One: Secret of the Inner Sanctum [Gypsy Dave]
  The Dream Team: 3 on 3 Challenge [Old-Games.RU]
  Hero's Quest: So You Want to be a Hero, Last Ninja 2: Back with a Vengeance, Police Quest II - The Vengeance (3.5", v1.001.000),
  Rick Dangerous, Rocket Ranger (UK), SimEarth: The Living Planet (USA, 5.25", v1.1) [The Good Old Days]
ibm5170:
  Archer Maclean's Pool, Striker, Wizkid: The Story of Wizball II, WWF European Rampage Tour [flyers80]
  Night Shift [Old-Games.RU]
  Laser Squad (3.5", USA), Laser Squad (5.25", Euro), Push-Over (Big Games/The Hit Squad release),
  Quest for Glory I: So You Want to Be a Hero, Quest for Glory III: Wages of War, Quest for Glory: Shadows of Darkness
  [The Good Old Days]
ibm5170_cdrom:
  SkyNET, Terminator 2: Judgment Day - Chess Wars / Grandmaster Chess, The Terminator: 2029 - Deluxe CD Edition,
  The Terminator: Future Shock, The Terminator: Rampage [David Silva]
nes:
  8Bit Music Power, 8Bit Music Power Final, A Winner is You, Bully Boy 500 in 1, Hero Quest (Germany, prototype),
  Holy Diver Collector's Edition, Kira Kira Star Night DX, Neo Heiankyo Alien, Pocket Games 150 in 1 (Mario boot screen) [anonymous]
  Over Horizon (pirate) [Consolethinks]
  14 in 1 (FL-14A), 40 in 1 (110-05), 158 in 1 (AB-5027), 9999 in 1 (108-03), 10000000 in 1 (KB46),
  Captain Planet and the Planeteers (pirate) [Consolethinks, Nikolka]
  Super 13 in 1, Super Contra DS (Super Contra pirate) [famiac, NewRisingSun]
  Booky Man (Brazil) [fcgamer]
  Go! Benny! (Asia) [joanna88, krzysiobal]
  8-bit Xmas 2008, 8-bit Xmas 2009, 8-bit Xmas 2010, 8-bit Xmas 2011, 8-bit Xmas 2012, 8-bit Xmas 2013, 8-bit Xmas 2014,
  8-bit Xmas 2015, 8-bit Xmas 2018, 8-bit Xmas 2019, 8-bit Xmas 2020, 8-bit Xmas 2021 [kmg]
  125 in 1 (JY-125), 130 in 1 (JY-130), 1998 Super HiK 8 in 1 (JY-021B), Destroyer (Asia), Mario Family 7 in 1,
  Xiǎo Zhuàngyuán Shùxué (China) [MLX]
  Super Mario 15 (Kaiketsu Yanchamaru 3 - Taiketsu! Zouringen pirate) [mt777]
  5 in 1 1993 Copyright, FIFA International Soccer '96 (J.League Winning Goal pirate) [NewRisingSun]
  Pokemon 2000 (Felix the Cat pirate) [SupahRetroooo]
  Xiǎo Bǎikē 2 in 1 - Dūdū Wāwā Dà Màoxiǎn & Zhìlì Pīntú (China) [tenyuhuang]
ngpc:
  Choujou Kessen Saikyou Fighters - SNK vs Capcom - Taikenban (Jpn), Pachinko Hisshou Guide - Pocket Parlor (Jpn, prototype)
  [Forest of Illusion]
rx78_cart: Creative Graphics [Gaming Alexandria, Alan Steremberg, SSJ, Robbbert]
z80clock:
  Serial Monitor (2020-03-31 23:15:49), Z80 Clock (2020-03-31 05:44:04), Z80 Clock (2020-03-31 23:19:35),
  Z80 Clock (2020-04-01 00:24:57), Z80 Clock (2020-04-02 04:35:59), Z80 Clock (2020-04-02 05:23:01),
  Z80 Clock (2020-04-03 00:43:52), Z80 Clock (2020-12-13 19:28:27), Z80 Clock (2021-11-06 19:03:38) [smf]


Software list items promoted to working
---------------------------------------
c64_cass: APB (alt), The Flintstones, Ghostbusters (Activision), Green Beret [Steven Coomber]
nes: Minna no Taabou no Nakayoshi Daisakusen (Japan) [kmg]


New NOT_WORKING software list additions
---------------------------------------
c64_cass:
  Hawkeye, Highlander, Highway Ecounter, The Hobbit (alt), Hunchback: The Adventure, International Soccer, Into the Eagles Nest,
  Judge Dredd, Knuckle Busters, Kwah!, Lotus Esprit Turbo Challenge (Gremlin Graphics) [The Ultimate Tape Archive Team]
gamegear: BreakThru! (prototype) [smspower, VGHF]
ibm5150: Back to the Future Part III, Lemmings, Midwinter, Paperboy, Pit-Fighter [flyers80]
ibm5170: Quicky: The Computer Game (Euro), Tony & Friends in Kellogg's Land (Germany) [Old-Games.RU]
ibm5170_cdrom: Alien Odyssey (US), Ignition (US) [Curt Coder]
n64:
  X'treme Roller (prototype) [Baker64]
  Controller Checker Ver.1.01, Unknown RGB Test Cartridge [BehindTheCode, Forest of Illusion]
nes:
  8-bit Xmas 2016 [kmg]
  400 in 1 Real Game, Xītiān Qǔjīng - Journey To The West (Asia, alt) [taizou]


Translations added or modified
------------------------------
Chinese (Simplified) [YuiFAN]
Chinese (Traditional) [YuiFAN]
Czech [Milan Galcik]
Greek [BraiNKilleRGR]
Slovak [Milan Galcik]


Merged pull requests
--------------------
- 8454: video/k054000.cpp: Improved hit box calculation for Vendetta. [Angelo Salese]
- 8635: rohga.cpp: Reduced volume levels to avoid saturation. [David Haywood]
- 8683: spectrum_cass.xml: Cleaned up ZX Spectrum cassettes a little. [David Haywood]
- 8801: zr107.cpp: Corrected DIP switch labels and behaviour for transmission type. [Steven Coomber]
- 8816: Updated continuous integration status links in readme file. [Stiletto]
- 8850: apple2_flop_clcracked.xml, apple2_flop_orig.xml: Added latest cracks and original dumps. [Firehawke]
- 8852: c64_cass.xml: Added twenty-seven items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8855: video/powervr2.cpp: Added support for render mode 5 (ARGB0888). [Jennifer Taylor]
- 8858: namcops2.cpp: Corrected release year for Ridge Racer V Arcade Battle. [sjy96525]
- 8859: gaelco.cpp: Improved scrolling, sprite drawing, and sample playback. [David Haywood]
- 8860: machine/hp_taco.cpp: Added support for writing HP 9825 format tapes. [F.Ulivi]
- 8864: zr107.cpp: Adjusted layer alignment offsets for Midnight Run. [sjy96525]
- 8866: uknc.cpp: Implemented more system functionality. [shattered]
- 8867: hh_sm510.cpp: Added Elektronika Kot-rybolov. [algestam, Milan Galcik]
- 8869: namcos22.cpp: Corrected revisions for ridgera2, raveracw and victlapj. [sjy96525]
- 8871: hh_sm510.cpp: Added Elektronika Kvaka-zadavaka (Frogling). [algestam, Milan Galcik]
- 8872: hh_sm510.cpp: Added Elektronika Nochnye vorishki (Night Burglars). [algestam, Milan Galcik]
- 8873: snowbros.cpp: Re-dumped u78.bin for 3in1semia, verifying that previous dump was correct. [ClawGrip]
- 8874: nes.xml: Added four items (three working, one not working). [kmg]
- 8875: hh_sm510.cpp: Added Elektronika Kosmicheskiy polyot (Space Flight). [algestam, Milan Galcik]
- 8876: cpu/arm7: Fixed TLB Flush behavior (fixes GitHub #8856, MT07878 and MT08140). [Ryan Holtz]
- 8878: bus/nes: Cleaned up interrupt generation for Mario Baby cartridges. [kmg]
- 8879: bus/nes: Added support for a pirate five-in-one game. [kmg]
- 8880: Cleaned up comments in various drivers. [shattered]
- 8881: c64_cass.xml: Promoted games that only work when no floppy drives are present to working (MT08138). [Steven Coomber]
- 8882: taito_f2.cpp: Corrected description for qzquest countdown timer speed DIP switches (MT08135). [Steven Coomber]
- 8883: nes.xml: Corrected metadata for hyperol. [kmg]
- 8885: Fixed some incorrectly formatted license header comments. [Angelo Salese]
- 8886: hh_sm510.cpp: Added Elektronika Morskaja ataka. [algestam, Milan Galcik]
- 8887: docs: Added download links for PDF and EPUB versions. [Firehawke]
- 8888: gba.xml: Added Mechanic Mechanica (Japan, prototype). [Forest of Illusion, kmg]
- 8889: Added Atari 2600 Point of Purchase Display Unit. [Wilbert Pol]
- 8891: hh_sm510.cpp: Added Elektronika Ataka asteroidov. [algestam, Milan Galcik]
- 8892: docs: Improved mechanism for adding content to the theme. [Firehawke]
- 8893: dynax.cpp: Added TMP91P640N ROM for Mahjong Ougon no Hai bootleg and added two additional bootleg sets. [XingXing, little0]
- 8894: machine/dl11.cpp: Added DEC DL11-type Serial Line Unit device. [shattered]
- 8897: igs_m036.cpp: Added Long Hu Zhengba San He Yi (V100CN). [XingXing, little0]
- 8898: megasys1.cpp: Improved hand-crafted priority PROM for inyourfa (improves graphics in cutscenes). [dink, David Haywood]
- 8899: jack.cpp: Corrected starting lives DIP switch settings for joinem and unclepoo. [Steven Coomber]
- 8900: 32x.xml: Cleaned up metadata. [ArcadeShadow]
- 8901: nes.xml: Added twelve dumps of bootleg and unlicensed cartridges. [kmg]
- 8907: imagedev/midiin.cpp: Made channel remapping configurable. [Devin Acker]
- 8912: hh_sm510.cpp: Changed descriptions for Elektronika games to transliterated Russian titles. [algestam]
- 8913: machine/spi_sdcard.cpp: Added support for read multiple block command (CMD18). [holub]
- 8914: nes.xml: Added four multi-game cartridges, and corrected video RAM size for mc_101. [kmg]
- 8916: gaelco.cpp: Adjusted frame rate so protection checks pass. [Victor Fernandez (City Game), Peter Ferrie, David Haywood]
- 8918: rfslotspcpent.cpp: Added ASCII PCB layouts. [ClawGrip]
- 8925: bus/nes: Added support for TF2740 multi-game cartridges. [kmg]
- 8927: falgas_m89.cpp: Added skeleton driver for Coche Bully. [ClawGrip]
- 8928: gundealr.cpp: Corrected title for yamyamk. [kmg]
- 8930: bus/nes: Added partial support for 8-bit Xmas cartridges. [kmg]
- 8931: lynx.cpp: Cleaned up driver, fixed collision handling, and fixed sound pitch. [cam900]
- 8932: Cleaned up logging for a few devices. [shattered]
- 8934: apple2_flop_clcracked.xml: Added latest twelve cracks. [Firehawke]
- 8935: bus/nes_ctrl: Increased range and added daisy chain port for Famicom Arkanoid paddle controller. [kmg]
- 8936: chdman.cpp: Corrected copy-pasted comment. [einstein95]
- 8937: hh_sm510.cpp: Added Elektronika Hockey. [algestam, Milan Galcik]
- 8939: bus/nscsi/hd.cpp: Implemented MODE SELECT 6 (fixes GitHub #8922). [einstein95]
- 8940: c64_cass.xml: Added sixteen items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8941: nes.xml: Removed parent/clone relationships for games that are independent ports. [kmg]
- 8942: dec0.cpp: Updated comment about DEM-01 chip as it has been identified as a Fujitsu MB8421. [Caps0ff, ClawGrip]
- 8943: bus/nes_ctrl: Improved emulation of the Yonezawa Partytap controller. [kmg]
- 8933: flower.cpp: Improved cocktail mode behavior and sound, cleaned up code, and added notes. [cam900]
- 8943: dvk_kcgd.cpp: Added serial ports, converted logging to use logmacro.h, and cleaned up code. [shattered]
- 8946: ibm5170.xml: Added ten items and replaced one item with a better dump. [The Good Old Days, Old-Games.RU, ArcadeShadow]
- 8947: bus/nes_ctrl: Reworked Bandai Hyper Shot to only use EXP port calls; nes.xml: Corrected Space Shadow mirroring. [kmg]
- 8949: bus/nes_ctrl: Disentangled Famicom joypad 2 from EXP port code. [kmg]
- 8953: ms32.cpp: Added Shutoku Red Zone to list of games on the hardware that have not been dumped. [ArtLine]
- 8955: Added skeleton drivers for two Compumatic Master Crane sets. [Israel León (Retrolover), ClawGrip]
- 8956: bus/nes_ctrl: Cleaned up Famicom joypad implementation and further untangled them from EXP port. [kmg]
- 8957: microdar.cpp: Expanded notes for cfarwest. [ClawGrip]
- 8958: Updated Greek translation. [BraiNKilleRGR]
- 8959: sms.xml: Noted that Galactic Protector has control issues on consoles that don’t appear as Japan region to game. [kmg]
- 8960: ctk551.cpp: Implemented GT913F sound, and promoted system to working. [Devin Acker]
- 8962: vsnes.cpp: Fixed Balloon Fight bonus life DIP switch settings (MT08147). [kmg]
- 8964: cinemat.cpp: Added missing inputs for Space Wars and Space Ship (MT08148). [kmg]
- 8965: gamegear.xml: Added BreakThru! (prototype). [smspower, VGHF, kmg]
- 8970: maygay1bsw.cpp: Corrected descriptions for The Italian Job sets (MT07191). [sjy96525]
- 8971: maygayep.cpp: Corrected descriptions for The Italian Job sets (MT07191). [sjy96525]
- 8975: aleck64.cpp: Added Super Real Mahjong VS (Rev A). [Forest of Illusion, kmg]
- 8977: c64_cass.xml: Added ten items (nine working, one not working). [The Ultimate Tape Archive Team, Steven Coomber]
- 8978: gba.xml: Added Perplexus Diodomin (prototype). [James Boulton, GTW, kmg]
- 8980: Reverted “ctk551: implement sound, promote to working” (GitHub #8960) due to build failures. [R. Belmont]
- 8981: c64_cass.xml: Added fifteen items (thirteen working, two not working). [The Ultimate Tape Archive Team, Steven Coomber]
- 8982: Reverted “Revert “ctk551: implement sound, promote to working”” (GitHub #8980). [R. Belmont]
- 8983: Reverted “uknc: de-skeletonize” (GitHub #8866) due to review issues not being addressed. [R. Belmont]
- 8984: pcipc.cpp: Fixed names of chipsets in descriptions. [MoochMcGee]
- 8985: Cleaned up GT913F code. [Devin Acker]
- 8986: machine/nes.cpp: Accommodate games that depend on realistic power-on RAM state. [kmg]
- 8987: c64_cass.xml: Added fourteen items (thirteen working, one not working). [The Ultimate Tape Archive Team, Steven Coomber]
- 8988: 3rdparty/ymfm: Corrected divider state for free-running timer B on mode write (MT03737, MT07078, MT08146). [Aaron Giles]
- 8989: tsconf.cpp: Added initial ZX Evolution TS-Configuration driver. [holub]
- 8991: machine/vsnes.cpp: Replaced MMC3 implementation with Namco 108. [kmg]
- 8992: poisk1.cpp: Added vertical and horizontal video sync signals. [shattered]
- 8995: nes.xml: Added Hero Quest (Germany, prototype). [anonymous, kmg]
- 9001: ngpc.xml: Added two new dumps. [Forest of Illusion, kmg]
- 9003: n64.xml: Added two test/demo cartridges. [BehindTheCode, Forest of Illusion, kmg]
- 9006: osd/osdsync.cpp: Fixed race condition affecting chdman threading on machines with high parallelism. [tellowkrinkle]
- 9007: ibm5170_cdrom.xml: Added five items. [David Silva]
- 9008: bus/vme: Added Besta CP31 CPU board (replaces besta.cpp system driver). [shattered]
- 9009: machine/ibm6580_kbd.cpp: Cleaned up and simplified code. [shattered]
- 9010: bus/nes: Improved Famicom Disk System timer emulation; nes.cpp: Set correct clock for Famicom Disk System (MT08041). [kmg]
- 9011: audio/flower.cpp: Fixed volume lookup table ROM addressing, and added notes. [cam900]
- 9013: nes.xml: Added four recently released music cartridges. [anonymous, kmg]
- 9014: vsnes.cpp: Fixed swapped DIP switches for vsbball. [kmg]
- 9016: ibm5150.xml: Added seven items, and replaced three times with better dumps. [The Good Old Days, Old-Games.RU, ArcadeShadow]
- 9017: hp9825.cpp: Added Shift Lock and reset keys, and tape LED. [F.Ulivi]
- 9018: ibm5150.xml, 5170.xml: Added dumps of twenty-two copy-protected items, and replaced one item with a better dump. [r09]
- 9019: imagedev/midiin.cpp: Handle channel remapping during playback rather than on loading. [Devin Acker]
- 9020: n64.xml: Added X'treme Roller (prototype). [Baker64, kmg]
- 9021: apple2_flop_clcracked.xml, apple2_flop_orig.xml: Added latest latest original dumps and cracks. [Firehawke]
- 9022: bus/nes: Added support for JY012005 multi-game cartridges. [kmg]
- 9023: bus/nes_ctrl: Cleaned up Konami Hyper Shot controller emulation code a little. [kmg]
- 9024: bus/nes_ctrl: Updated mahjong controller based on hardware information, and corrected button labels. [0kmg]
- 9025: apple2.cpp, apple2e.cpp: Made descriptions for Franklin ACE computers more consistent. [Kelvin Sherlock]
- 9027: bus/nes_ctrl: Added a SNES controller port adapter device so a SNES joypad or mouse can be connected. [kmg]
- 9028: cyclemb.cpp: Corrected joystick up and down inputs for skydest (MT08162). [Steven Coomber]
- 9029: nes.xml: Added Holy Diver Collector's Edition. [anonymous, kmg]
- 9030: fmtowns_flop_orig.xml: Added seven new dumps, and replaced two items with better dumps. [cyo.the.vile, fuzzball, r09]
- 9031: taito_b.cpp: Improved DIP switch setting labels for sbm and sbmj (MT08160). [Steven Coomber]
- 9032: seta.cpp: Added placeholders for undumped PLDs for madshark. [Sergio Galiano]
- 9033: gb.cpp: Use memory views for BIOS disable and to remove some cartridge access trampolines. [Wilbert Pol]
- 9034: bus/nes_ctrl: Added support for the Famicom Turbofile backup RAM device. [kmg]
- 9035: gb.cpp: Improved MBC3 real-time clock emulation. [Wilbert Pol]
- 9038: machine/cdicdic.cpp: Completely re-implemented Philips CD-i CDIC emulation, fixing many issues. [Ryan Holtz, CD-i Fan]
- 9039: emu/video.cpp: Corrected size for date/time formatting buffer in video_manager::open_next. [Golden Child]


Source Changes
--------------
-Apple softlist update for November 2021 (#8850) [Firehawke]
 * Apple II software list support adjustments:
   - change 'flop525' to 'flop_a2' where 3.5s also in same lists
   - Add apple2gs_flop_clcracked and make it default for IIgs.

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Wargle! [4am, Firehawke]
A Question of Scruples [4am, Firehawke]
J-Bird [4am, Firehawke]
Star Dance [4am, Firehawke]
Disk Organizer (Version 2.6) [4am, Firehawke]
Super Disk Copy (Version 3.8) [4am, Firehawke]
Nibbles Away ][ (Version C3) [4am, Firehawke]
Essential Data Duplicator (Version 4.4) [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Numberball (cleanly cracked) [4am, Firehawke]
PFS:File (Version A.00) (cleanly cracked) [4am, Firehawke]

-ti99/geneve: Added WHTech SCSI adapter card [Michael Zapf]

-stupid git [AJR]

-screen.cpp: Fix old editing errors in comments [AJR]

-render.cpp: Use simple_list instead of std::list for containers; remove old remnants of "internal" debugger [AJR]

-Revert "stupid git" [AJR]
 * This reverts commit 4dc7a7780723294b8cf050004b7177d9bc5cb251.

-geneve: Added option for new boot EPROM [Michael Zapf]

-plat2: Added outputs. Split zira into a derived class. [Robbbert]

-fmtowns: disable FMR backwards compatibility text rendering, fixes display regression [Barry Rodewald]

-ZR107 Tilemap Position Fixes [sjy96525] (#8864) [sjy525]

-hp_taco: added support for writing hp9825-format tapes (#8860) [fulivi]

-CG-1V/GAE1 video/audio fixes (#8859) [David Haywood]
 * CG-1V/GAE1 video/audio fixes
   - support y scroll in rowscroll mode
   - prevent shadow sprites from corrupting previously drawn shadow sprites
   - fix cases of samples not being played where the 2nd chunk addresses are written first
   - remove old hack to work around ancient MAME number of colour limits
 * Misc Gaelco improvements
   - fixed thoop, squash priorities
   - added IRQ acks
   - set Maniac Square prototype to 1992, and de-cloned it.  I'm told this was an earlier project that was redone from scratch for
      the released game
   - demoted Thunder Hoop to NOT WORKING due to the stage 4 crash

New working clones
------------------
The Lord of King (bootleg, protected) [Siftware]

-New working clone (#8867) [algestam]

New working clone
-----------------
Kot-rybolov [algestam, Milan Galcik]

New working clones
------------------
Majestic Twelve - The Space Invaders Part IV (US) [Arcadecomponents.com]

-balsente.cpp: correct cd12.18a.romcd12 ROM name and reference for Grudge Match 00.91 proto [Brian Troha]

-expro2.cpp: doc update – adds known Comad PCB numbers to various sets [Brian Troha]

-galspnbl.cpp: Adds some PCB info in header and corrects clock of 68000 based on OSC [Brian Troha]

-segac2.cpp: doc update – adds Sega game ID# for Columns 2 (Japan) [Brian Troha]

-namcos22: add some system22 game versions to title [sjy96525] (#8869) [sjy525]

New working clone (#8871)
-------------------------
Frogling [algestam, Milan Galcik]

-sparc: added initial support for SPARClite [Ryan Holtz]

-saitek_osa: added sparc module emulation [Ryan Holtz, hap]

New working clones
------------------
Fighting Layer (US, FTL3/VER.A) [CoolMod]

-taito_f2.cpp: swapped the US Majestic 12 set, so that they are in more logical order. [Ivan Vangelista]

-sparc.cpp: save_item takes care of arrays [Ivan Vangelista]

-sparc: assume that sparclite waitstate page check is per cs [hap]

-sparc: revert prev commit, manual clearly says nope [hap]

New working clone (#8872)
-------------------------
Night Burglars [algestam, Milan Galcik]

-Correct Ridge Racer V Arcade Battle year [sjy96525] (#8858) [sjy525]
 * Ridge Racer V Arcade Battle titlescreen says 2000 and released in November 2000.

-sparc: eat_cycles is inaccurate (eg. icount=1, eat_cycles(3), icount=0) [hap]

-snowbros.cpp: Redumped "u78.bin" from "3in1semia", it was good afterall (#8873) [ClawGrip]

-A little more refactoring, and Coverity fixes: [Vas Crabb]
 * emu/ioport.h: Marked PORT_RESET deprecated.
 * emu/rendlay.cpp: Removed old dot matrix components.
 * emu/rendlay.cpp: Added warning message for reel components.
 * Changed a few more fruit machines to eliminate reel components; also made the reel lamps simpler and more efficient in these
    layouts.
 * emu, frontend: Fixed various errors reported by Coverity, one of which actaully breaks stuff.

New working clone (#8875)
-------------------------
Space Flight [algestam, Milan Galcik]

New working clones
------------------
Designer Mach III Master 2265 (set 1) [Berger]

-Softlist cleanups (mostly Spectrum) (#8683) [David Haywood]

-c64_cass.xml: Added 27 entries (#8852) [Steven Coomber]
 * c64_cass.xml: Added 27 entries. Promoted H.E.R.O. to working status (refer to MT #08138).  The c1541 slot device needs to be
    removed prior to loading.  Added 'usage' field to clarify this requirement.  Applied the same 'usage' field to game Hacker
    although game advises the user if you attempt to load the game with the c1541 still connected.

New working software list additions
-----------------------------------
Hacker (Proein Soft Line) [C64 Ultimate Tape Archive V2.0]
HardBall! (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
HardBall (Compulogical S.A.) [C64 Ultimate Tape Archive V2.0]
Harvey Smith Showjumper (Software Projects) [C64 Ultimate Tape Archive V2.0]
Head Over Heels (Ocean) [C64 Ultimate Tape Archive V2.0]
Heartland (Odin Computer Graphics) [C64 Ultimate Tape Archive V2.0]
Hero Quest (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Herobotix (Prism Leisure) [C64 Ultimate Tape Archive V2.0]
High Frontier (Activision) [C64 Ultimate Tape Archive V2.0]
Hits! Vol 1 (Micropool) [C64 Ultimate Tape Archive V2.0]
The Hobbit (Melbourne House) [C64 Ultimate Tape Archive V2.0]
Hopping Mad (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Hostages (Infogrames) [C64 Ultimate Tape Archive V2.0]
Hot Wheels (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Hot Shot (Prism Leisure) [C64 Ultimate Tape Archive V2.0]
The House Mix (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Howard the Duck (Activision) [C64 Ultimate Tape Archive V2.0]
Human Killing Machine (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
The Hunt for Red October (Grandslam) [C64 Ultimate Tape Archive V2.0]
Hunter's Moon (Thalamus) [C64 Ultimate Tape Archive V2.0]
Hyper Sports (Imagine) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
H.E.R.O. (Activision) [C64 Ultimate Tape Archive V2.0]
Hawkeye (Thalamus) [C64 Ultimate Tape Archive V2.0]
Highlander (Ocean) [C64 Ultimate Tape Archive V2.0]
Highway Ecounter (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
The Hobbit (Melbourne House, alt) [C64 Ultimate Tape Archive V2.0]
Hunchback: The Adventure (Ocean) [C64 Ultimate Tape Archive V2.0]


-arm7: Fixed TLB Flush behavior. Fixes Github issue #8856. [Ryan Holtz] (#8876) [MooglyGuy]
 * Co-authored-by: MooglyGuy <mog@home>

-nscsi: modified CDROM_APPLE to ID as an Apple CDSC and pass MacOS security checks.  Fixes Github issues #8877 and #8813.
 [R. Belmont]
 * a2scsi: switched CD-ROM from generic to Apple CDSC, fixes long timeout when no disc is inserted. [R. Belmont]

-aica.cpp: remove code smell on LP flag read [Angelo Salese]

-naomi.cpp: add jp title to fotns [Angelo Salese]

-nes.xml: Added 4 ROMs Of Unusual Size. (#8874) [0kmg]

New working software list additions
-----------------------------------
A Winner is You [anonymous]
Bully Boy 500 in 1 [anonymous]
Pocket Games 150 in 1 (Mario boot screen) [anonymous]

New NOT_WORKING software list additions
---------------------------------------
400 in 1 Real Game [taizou]

-Minor changes to various drivers (#8880) [shattered]
 * Minor changes to various drivers (todo, comments, text strings).
 * ec1847: Moved to pc.cpp, it's a generic OEM clone.
 * Use proper name for serial/parallel ports card in ec1840 and ec1841.
 * superga2: Moved to arcade section, updated emulation status.

-Add CPU16 and HDD device skeletons for Conner CFP1080S [AJR]

-taito.cpp,rowamet.cpp: WIP. Added code for mrblkz80. Improved sound for some votrax games. [Robbbert]

-Fix clang error: private field 'm_out_offs' is not used [-Werror,-Wunused-private-field]

New clones marked as NOT_WORKING
--------------------------------
Downhill Bikers (World, DH2 Ver. A) [Guru]
Dirt Dash (Rev. DT2 Ver.B, World) [Guru]

-taito_x.cpp: updated documentation for superman [Guru]

-c64_cass.xml: Promote gberet and other entries to working status (MT#08138) (#8881) [Steven Coomber]

Software list items promoted to working
---------------------------------------
APB (Domark, alt) [C64 Ultimate Tape Archive V2.0]
The Flintstones (Grandslam) [C64 Ultimate Tape Archive V2.0]
Ghostbusters (Activision) [C64 Ultimate Tape Archive V2.0]
Green Beret (Imagine) [C64 Ultimate Tape Archive V2.0]

-In response to MT#08138, I have tested and promoted gberet to working status and added a usage field that explains that the c1541
 slot device needs to removed prior to loading. [Steven Coomber]
 * I have also tested all other entries marked as not working and found both flintstn and ghostbsta also work if the c1541 slot
    device is removed prior to loading.  These entries have been updated in the same manner as gberet.
 * I also found apba also works regardless of whether the c1541 slot device is removed or not so this has also been promoted to
    working status.  In addition, whilst testing apba, I found that the game asks for Side 2 not Side B so I have corrected the side
    numbering for apb and apba.

-sparclite: update_addr_masks after loadstate [hap]

-sparclite: update prev commit, better habit to call parent class [hap]

-taito_f2.cpp: Unused DIP switches are actually a countdown timer (MT#08135) (#8882) [Steven Coomber]
 * DIP switches SW2:3 & SW2:4 were marked as Unused but are actually a countdown timer.  Refer to MT#08135.

-fixed mess build [Robbbert]

-Revert previous commit; kuzmich is now arcade [Robbbert]

New NOT_WORKING software list additions
---------------------------------------
ibm5170_cdrom.xml: [Curt Coder]
Alien Odyssey (US) [Curt Coder]
Ignition (US) [Curt Coder]

-hankin.cpp: WIP. [Robbbert]

-emumem_aspace: Unref the root dispatch when destroying the address space [Olivier Galibert]

New working clones
------------------
Kasparov Leonardo (v1.0) [Berger]

-actfancr.cpp, battlera.cpp: use finders, minor cleanups [Ivan Vangelista]

-namcos12.cpp: updated fgtlayer title as per GitHub comments [Ivan Vangelista]

New working clone (#8886)
-------------------------
Morskaja ataka [algestam, Milan Galcik]

-apple2e.cpp updates: [R. Belmont]
 * All Laser 128 models now use the correct character set
 * Laser 128 now supports the serial/parallel printer switch and the parallel port

Machines added as MACHINE NOT WORKING
-------------------------------------
Franklin Ace 500 [R. Belmont]

-apple2e: fix text on Laser 128 EX and EX/2 also. [R. Belmont]

New machines marked as NOT_WORKING
----------------------------------
Final Fight 3 (SNES bootleg) [Hammy, IQ_132]

New working clones
------------------
Off Road Challenge (v1.00) [anonymous]

-powervr2.cpp: add support for render mode 5. (#8855) [Jennifer Taylor]

-emu/rendersw.hxx: Fixed incorrect clipping of untextured rectangles. [Vas Crabb]

-layouts: Started cleaning up fruit machine layouts to reduce bloat. [Vas Crabb]

-Fixed a few miscellaneous Coverity errors. [Vas Crabb]

-Cleaned up incorrectly formatted license/copyright header comments. (#8885) [Angelo Salese]

-docs: Implemented download links in docs theme. (#8887) [Firehawke]
 * Modified the RTD theme to add PDF and EPUB download links in the left pane.

-saitek_osa/sparc: update note [hap]

-atari_s1,atari_s2: WIP. All games except 4x4 are playable. [Robbbert]

-sparc: fix unreachable code in execute_rdsr [hap]

-sparc: undo accidental delete on prev commit [hap]

-am29000: Simplify shift calculation for multiply and divide steps, eliminating unnecessary 64-bit intermediary variables [AJR]

-More fruit machine layout cleanup. [Vas Crabb]

-hercules: fixed inputs [Robbbert]

-fourx4: split off to a separate driver. [Robbbert]

New working clone (#8891)
-------------------------
Ataka asteroidov [algestam, Milan Galcik]

-sparc: STD/STDA/LDD/LDDA when RD is odd is an illegal instruction [hap]

-Improved handcrafted inyourfa priority PROM, fixing missing graphics in cutscenes [dink] (#8898) [David Haywood]

-sparc: remove pseudocode comments copy pasted from manual [hap]

-jack.cpp: correct default number of lives for joinem and unclepoo (#8899) [Steven Coomber]

-Fun with flags: Allows handlers to have user-defined flags set on them, which can them be picked up on access with the
 {read,write}_*_flags variants of the accessors.  Example use with the i960 and its burstable rom/ram. [Olivier Galibert]

-emumem fix [Olivier Galibert]

-various devices and drivers: seperate -> separate [Ivan Vangelista]

New machines marked as NOT_WORKING
----------------------------------
Elektronika IM-01 [hap, Radon17]

-im01: turns out it is the newer im01t program [hap]

-im01: add 7segs, sound, preliminary inputs [hap]

-apple2: updates and cleanups [R. Belmont]
 * Laser and Franklin key names now are correct: "Triangle"/"F" instead of "Apple".
 * Massive text drawing cleanup, removing a lot of copy/paste code and moving some runtime decisions to compile-time for better
    performance.
 * Ace 500 now uses a Franklin character set ROM so the "F" shows in MouseText.

Machines promoted to WORKING
----------------------------
Franklin Ace 500 [R. Belmont]

-apple2: properly instantiate the template methods [R. Belmont]

-dynax.cpp: Added TMP91P640N dump for Mahjong Ougon no Hai. [XingXing]

Machines promoted to working
----------------------------
Mahjong Ougon no Hai (bootleg) [XingXing]

New working clones
------------------
Mahjong Ougon no Hai (bootleg 1) [XingXing, little0]

New clones marked as NOT_WORKING
--------------------------------
Mahjong Ougon no Hai (bootleg 2) [XingXing, little0]

New machines marked as NOT_WORKING (#8897)
------------------------------------------
Long Hu Zhengba San He Yi (V100CN) [XingXing, little0]

-igs017.cpp, igs_m027.cpp: Improved lhzb* descriptions. [Vas Crabb]

-Eliminated a bit more redundancy in fruit machine layouts. [Vas Crabb]

-im01: add freq measurements, add 7segs to artwork [hap]

-Fixed three fruit machine layouts that weren't cleaned up properly, and cleaned up a few more layouts a little. [Vas Crabb]

-Remove template code generators [angelosa]

Machines promoted to working
----------------------------
Elektronika IM-01T [hap, Radon17, Berger]

-im01: im01t is from 1991 [hap]

-mc68328: update logging to match handler size [Patrick Mackinlay]

-3rdparty.lua: fix msvc build by reordering configuration statements [Patrick Mackinlay]

-Filled out most of the Slovak translation. [Milan Galcik]

-Cleaned up various bits and pieces. [Vas Crabb]

-saitek_osa/sparc: add note about expanded ram [hap]

-poker72.cpp: updated to use a finder for the memory back and other minor cleanups [Ivan Vangelista]

-hh_sm510: add note about elektronika [hap]

-midearth: Fix crash caused by incorrect length of memory share [AJR]

-Soul-crushingly frustrating clean-up: [Vas Crabb]
 * Patched up a pile of code that was rotting behind UNUSED_FUNCTION, and switched to [[maybe_unused]] attribute so it can't rot so
    easily.
 * Reduced a bit more redundancy in fruit machine layouts.

-poker72.cpp: updated according to comments on previous commit (palette_init removal, less palette entries) [Ivan Vangelista]

-stv: moved video into video/saturn.cpp to remove possible circular dependency. (#8915) [Robbbert]

-saturn: fixed some includes. [Robbbert]

-g65816: Replace #ifdef UNUSED_FUNCTION with [[maybe_unused]] to deter code rot [AJR]

-sparclite: add preliminary system support ctrl reg [hap]

-sparclite: update notes [hap]

-Various cleanups. [Vas Crabb]

-comquest.cpp: Fixed clang unused private data member warnings. [Vas Crabb]
 * There's commented-out code that uses m_data, but nothing at all uses the other members, and there's nothing to indicate what
    they're supposed to represent, so I removed them altogether.

-mess.lua: fix copypaste error [hap]

-Fixed a few coverity errors, several of which are real bugs. [Vas Crabb]

-v60: Code cleanup [AJR]
 * Remove #ifdefs and use attributes instead
 * Remove "never reached" return statements

-spi_sdcard: add CMD18 - CMD_READ_MULTIPLE_BLOCK (#8913) [holub]
 * spi_sdcard: add CMD18 - CMD_READ_MULTIPLE_BLOCK and clean up state changes

-spi_sdcard: fix CMD8 response for SDV2/SDHC. [R. Belmont]

New machines added as WORKING
-----------------------------
Franklin Ace 2200 [R. Belmont]

-apple2e: fix GCC compile. [R. Belmont]

-imagedev/midiin.cpp: Made channel remapping configurable. (#8907) [Devin Acker]

-mame.lst: add missing ace2200 [hap]

-More cleanup. [Vas Crabb]

-Remove a few outdated references to MESS [Dirk Best]

-vgmplay.xml:  Fixed some entry data that happened due to typos, copy paste mistakes or flat out inaccuracies. [einstein95]

-play_1/2/3.cpp: WIP. The majority of the machines are playable. Fixed some bugs and a regression. [Robbbert]

-hh_sm510: Rename Elektronika drivers to use local Soviet names (#8912) [algestam]

-New NOT_WORKING machine (#8927) [ClawGrip]

New NOT_WORKING machine
-----------------------
Coche Bully [ClawGrip]

-dl11: DEC DL11-type serial line unit (#8894) [shattered]

-nes.xml: Added 4 multicart dumps. (#8914) [0kmg]
 * Also corrected VRAM amount for mc_101, fixing graphics issues.

New working software list additions
-----------------------------------
125 in 1 (JY-125) [MLX]
130 in 1 (JY-130) [MLX]
Mario Family 7 in 1 [MLX]
Super 13 in 1 [famiac, NewRisingSun]

-nes.xml: Added 12 bootleg and unlicensed cartridge dumps. (#8901) [0kmg]

New working software list additions
-----------------------------------
Booky Man (Brazil) [fcgamer]
Captain Planet and the Planeteers (pirate) [Consolethinks, Nikolka]
Destroyer (Asia) [MLX]
FIFA International Soccer '96 (J.League Winning Goal pirate) [NewRisingSun]
Go! Benny! (Asia) [joanna88, krzysiobal]
Over Horizon (pirate) [Consolethinks]
Pokemon 2000 (Felix the Cat pirate) [SupahRetroooo]
Super Contra DS (Super Contra pirate) [famiac, NewRisingSun]
Super Mario 15 (Kaiketsu Yanchamaru 3 - Taiketsu! Zouringen pirate) [mt777]
Xiǎo Bǎikē 2 in 1 - Dūdū Wāwā Dà Màoxiǎn & Zhìlì Pīntú (China) [tenyuhuang]
Xiǎo Zhuàngyuán Shùxué (China) [MLX]

New NOT_WORKING software list additions
---------------------------------------
Xītiān Qǔjīng - Journey To The West (Asia) [taizou]

-gba.xml: Added an unreleased game. (#8888) [0kmg]

New working software list additions
-----------------------------------
Mechanic Mechanica (Japan, prototype) [forestillusion]

-nes.xml: Typo in romanization. (#8883) [0kmg]

-rfslotspcpent.cpp: Add PCB layouts and hardware notes (#8918) [ClawGrip]

-bus/nes: Mario Baby IRQ cleanup, avoid deprecated hold_irq_line(). (#8878) [0kmg]

-bus/nes: Added support for a 5/20 in 1 cartridge. (#8879) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
5 in 1 1993 Copyright [NewRisingSun]

-Hopefully fix arcade build. [Robbbert]

-snk68.cpp: corrected ROM labels for pow sprite ROMs [Guru]

New working clones
------------------
The Outfoxies (Japan, OU1, alternate GFX ROMs) [Silvio Grazini]

-Moved common apple2 files to the conditional "mameshared" library, to avoid duplicate symbols on a full MAME build. [Robbbert]

-im01: added buttons to internal artwork [hap]

-im01: add option to only show display [hap]

-Filled in a few more Slovak messages after discussion with Milan. [Vas Crabb]

-machine/dl11.cpp: Slight cleanup. [Vas Crabb]

-32x.xml : Made disambiguation text in descriptions lowercase. (#8900) [ArcadeShadow]

-Deleted travis-ci.org badge from README.md. (#8816) [Stiletto]

-bus/archimedes/podule: Podules for Acorn Archimedes. [Centre for Computing History]
 * ACE Joy Connect
 * Beebug Spectra Colour Scanner
 * Computer Concepts GreyHawk Video Digitiser
 * Computer Concepts ScanLight Junior MkIII
 * Morley Electronics Analogue and User Interface
 * Morley Electronics User/MIDI/Analogue Interface
 * Watford Electronics 256 Grey-Scale Scanner
 * Wild Vision MidiMax II

-megadriv.xml, sms.xml, vgmplay.xml:  Various updates to <YEAR> fields [Tafoid]

-falgas_m89.cpp: Flesh out the skeleton a little [AJR]

New machines marked as NOT_WORKING
----------------------------------
Sonic The Hedgehog 3 (bootleg of Megadrive version) [Victor Fernandez (City Game)]

-frontend: Give heading items in menus a bit of horizontal space. [Vas Crabb]

-emu/machine.cpp: Got rid of an outdated and hence misleading comment. [Vas Crabb]

-Got rid of a few more uses of UNUSED_FUNCTION. [Vas Crabb]

-Tidied up more slot machine layouts, and fixed VFDs in debug views that had inadvertently been broken. [Vas Crabb]

-hd.cpp: Minor logging changes. [Michael Zapf]

-ti99: Add EOP handling to SCSI card. [Michael Zapf]

-zr107.cpp: Corrected Transmission Type DIP switch label and inputs. (#8801) [Steven Coomber]

-inder.cpp: WIP. Fixed dipswitches. Machines are all playable. [Robbbert]

-arc_scan256: Corrected size of rom region. [Nigel Barnes]

-mephistp.cpp: Preliminary WIP. [Robbbert]

-sparc: SWAP/SWAPA on unaligned address causes a trap [hap]

New working software list additions (apple2_flop_clcracked.xml) (#8934)
-----------------------------------------------------------------------
Chariots, Cougars, and Kings (Version 03.12.86) (cleanly cracked) [4am, Firehawke]
Punctuation Skills: Commas (cleanly cracked) [4am, Firehawke]
Logic Workout (cleanly cracked) [4am, Firehawke]
Apple Project Manager (cleanly cracked) [4am, san, Firehawke]
A-mazing Words (cleanly cracked) [4am, Firehawke]
Mighty Math (cleanly cracked) [4am, Firehawke]
Take Me North (cleanly cracked) [4am, Firehawke]
Space Port (cleanly cracked) [4am, Firehawke]
Word-Player (cleanly cracked) [4am, Firehawke]
Dividing Decimals (Version 1.1) (cleanly cracked) [4am, Firehawke]
Percentage Panic (cleanly cracked) [4am, Firehawke]
Moonlight and Madness Level II (Version 04.19.88) (cleanly cracked) [4am, Firehawke]

-apple2e.cpp: gave the Franklin Ace machines their max RamWorks-compatible RAM. [R. Belmont]

-a2eramworks3.cpp: fix Franklin 500 384K expansion to correctly limit memory to 384K. [R. Belmont]

-Refactor html docs build process to use new template and env variable [Firehawke]

-chdman.cpp: correct copy-paste comment (nw) (#8936) [Logan B]

-inder: added some overrun protections [Robbbert]

New working machines
--------------------
Super Model II [Brian Troha, Darksoft, simzy, system11]

-Logging format cleanups and minor no-op code changes. (#8932) [shattered]

-Fixed MT07153 (SlikStick configuration for asteroid not working). [Vas Crabb]
 * Since asteroid overrides the default input assignments, slikstik.cfg needs to use the syntax for overriding specific inputs.
    There was also a bug in how specific input overrides are applied.

-More corrections to Slovak translation. [Milan Galcik]

-sparclite: NWINDOWS=8 [hap]

-megatech.cpp: Replace some tag lookups with finders [AJR]

-vegas.cpp: dumped security PICs for sf2049 and sf2049se [Caps0ff, neSneSgB]

-seattle.cpp: dumped security PICs for sfrush and sfrushrk [Caps0ff, neSneSgB]

New working clone (#8937)
-------------------------
Khokkey [algestam, Milan Galcik]

-sparc: fix LDSTUBA not working [hap]

-hh_sm510: correct title for autoslalom [hap]

-sparc: get rid of icount time travel [hap]

-apple2.cpp: convert bank_device usage to memory_view. [R. Belmont]

-apple2.cpp: additional cleanup. [R. Belmont]

-sparc: check pending interrupt after RETT [hap]

-unixpc.cpp: Replace bankdev with memory view [AJR]

-lnw80.cpp: Replace bankdev with memory view [AJR]

-apple2e.cpp: clean up/consolidate memory maps, fix ace500 LF switch causing DVORAK mode. [R. Belmont]

-apple2e: change most bankdev usage to memory views. [R. Belmont]

-apple2e: additional cleanup. [R. Belmont]

-apple2e.cpp: More cleanup / fix GCC warning. [R. Belmont]

-sparclite: OP3_SCAN had the wrong id [hap]

-sparclite: correct disasm after prev commit [hap]

-Added a new working game to the "poorly coded driver". [Roberto Fresca]

New working clones
------------------
Amstar Draw Poker [darkdawgarcade, btroha, f205v, simzy, Roberto Fresca]

-sparclite: correct wssr[0] reset state [hap]

-Completed Slovak translation. [Milan Galcik]

-Improved transliateration of a few game titles. [Vas Crabb]

-hh_sm510: rename auslalom and hockey [hap]

-apple2gs: convert most bankdev banking to memory views. [R. Belmont]

-ncsi/hd.cpp: Copy "MODE SELECT 6" from cd.cpp; fixes #8922 (#8939) [Logan B]

-bus/nes_ctrl: Updated Arkanoid paddles. (#8935) [0kmg]
 * Added daisy chain expansion port to Famicom paddle for Arkanoid II's versus mode.
 * Also expanded range of paddle value reads to ensure full range of motion within all games' play fields.

-bus/nes: Added partial support for 8-bit Xmas cartridges. (#8930) [0kmg]
 * bus/nes: Added partial support for 8-bit Xmas cartridges.

New working software list additions (nes.xml)
---------------------------------------------
8-bit Xmas 2008 [kmg]
8-bit Xmas 2009 [kmg]
8-bit Xmas 2010 [kmg]
8-bit Xmas 2011 [kmg]
8-bit Xmas 2012 [kmg]
8-bit Xmas 2013 [kmg]
8-bit Xmas 2014 [kmg]
8-bit Xmas 2015 [kmg]
8-bit Xmas 2018 [kmg]
8-bit Xmas 2019 [kmg]
8-bit Xmas 2020 [kmg]
8-bit Xmas 2021 [kmg]

New NOT_WORKING software list additions (nes.xml)
-------------------------------------------------
8-bit Xmas 2016 [kmg]

-Mark a few titles I missed as partially supported. [0kmg]

-playch10.cpp: dumped an alternate BIOS [Phill @NES4Life]

-hash/c64_cart.xml: corrected dragnden description tag to match actual title shown on screen and on cartridge cover [Guru]

-hash/vic10.xml: corrected ROM label for seawolf [Guru]

New machines marked as NOT_WORKING
----------------------------------
Human Designed Systems HDS200 [Bitsavers]

-Fix typo [Dirk Best]

-ui: change string parse for screen hz info [hap]

-hds200: Hook up more devices [Dirk Best]

-mystston.cpp: corrected ROM labels for the myststono set [The Dumping Union]

-chess*: updated some internal artwork [hap]

-dec0.cpp: Correct note about DEM-01 [Caps0ff] (#8942) [ClawGrip]
 * It's a Fujitsu MB8421 Dual port SRAM. Since it's a supported device (src/devices/machine/mb8421.cpp), maybe it should be
    correctly hooked up on the driver.

-dec0.cpp: Updates and cleanup [AJR]
 * robocop: Use MB8421 device for shared RAM
 * midresb: Remove some superfluous handlers

-machine/dec0.cpp: Update this too after 332646e776f36c88e42be64eea4c23ea791ea77e [AJR]

-nes.xml: Remove cloneof from games that are independent ports. (#8941) [0kmg]
 * nes.xml: Remove cloneof from games that are independent ports.

-dvk_kcgd: add serial ports, replace log macro, clean up. (#8945) [shattered]

-screen: report refresh rate <1hz as error in validity check [hap]

-Moved localised I/O port name lookup into I/O port manager. [Vas Crabb]
 * Added pseudo format specifiers to controller port names: %p for player and %% for literal percent symbol.  This lets you get the
    localised player identifier in overridden input names (see NES and Neo-Geo for examples), and reduces the number of messages to
    translate.
 * For translators, the new messages are mostly previously existing messages with wording adjusted for clarity (e.g. referring to
    "media" rather than "ROMs" in several places, as things like disk and tape images are included).  It's also possible to localise
    the "???" dipslayed for an input without a valid name, but that should never actually appear in practice.

New working clones
------------------
Elektronika IM-01 [Radon17]

-bus/nes_ctrl: Disentangled Famicom joypad 2 from expansion port code. (#8949) [0kmg]
 * Removed read_exp call from fcpad2. The FC expansion port is not tied to the relevant line at all.
 * Replaced with read_bit2 in the control port interface for the same purpose.
 * Separated JOYPAD inputs from MIC. The microphone shouldn't be mixed with button inputs' shift register.
   - machine/nes.cpp: Also removed read_exp calls on FC control ports. Other than the microphone on fcpad2 nothing used these (nor
      should they as the only line in common is $4017 bit 0, which in general is never used by the expansion port).

-spinb/inder.cpp: WIP. Moved metalman from inder to spinb. [Robbbert]

-mame.lst: moved metalman to its new position [Robbbert]

-emu/mconfig.cpp: Made checks on device add/replace stricter. [Vas Crabb]
 * Trying to replace a non-existent device or trying to add a device with root or parent references in the path is now fatal.  If
    you find yourself wanting to do this, your design is probably broken.

-ns32kdb: add leds and layout [Patrick Mackinlay]

-hds200: Add rom banking [Dirk Best]

-t11: power fail trap is NMI, added bus error trap [hap]

-im01: fix problem with stuck buttons [hap]

-ichiban.cpp: fleshed out a bit. Needs correct banking [Ivan Vangelista]

-analyst: remove device_config_complete function [hap]

-peyper.cpp: added outputs, mechanical sound. [Robbbert]

-im01: add bus error [hap]

-im01: update notes [hap]

-ator: improved display [Robbbert]

-ichiban.cpp: added dips [Ivan Vangelista]

-s32comm.cpp: fixed MT08145 [Ivan Vangelista]

-microdar.cpp: Improve documentation for 'cfarwest' (#8957) [ClawGrip]

-lancelot: Split off to its own driver. [Robbbert]

-lancelot: move to its new position in mame.lst [Robbbert]

-sdtor: fix small contrast problem in internal artwork [hap]

new WORKING clone
-----------------
DoDonPachi Dai-Ou-Jou Black Label (Japan, 2002.10.07.Black Ver, newer) [Blomman, MetalliC, rtw]

-spirit76: WIP [Robbbert]

new NOT_WORKING machine
-----------------------
Chibi Maruko-chan ~Minna de Sugoroku Asobi~ no Maki [Darksoft, MetalliC, rtw]

-Use correct sprite ram for Shaolin's Road & Kicker [smf, jotego]

-Add scan line register to Shaolin's Road & Kicker [smf, jotego]

-gundealr.cpp: No question mark in title of Korean Yam! Yam! (#8928) [0kmg]

-k054000.cpp: fix OTG hitboxes in Vendetta (#8454) [Angelo Salese]
 * k054000.cpp: fixes MT 06393, MT 07839;
 * k054000.cpp: convert access to address map;
 * Convert all drivers using k054000 to access with address map, fix gaiapols and bucky ranges;
 * vendetta.cpp: fix overdriven sound (noticeable on first boss);
 * tmnt.cpp: fix Thunder Cross II overdriven sound;
 * k054000.cpp: initialize variables at machine_reset time;
 * k054000.cpp: move collision dump to a debug compile switch;
 * tmnt.cpp: make thndrx2 to bypass protection checks via ROM patch, acknowledge it with 14D bad, demote it to MUP, describe
    rationale;
 * k054000.cpp: srcclean;

-shaolins.cpp: add screen raw params [jotego, paulb-nl]

-shaolins.cpp: fix sprite video regressions [angelosa]

-match previous sprite position, real y coordinate has 7 subtracted from the work area so 248 should be 241. [smf-]

-align appearing sprites to doors when flipped (this might be a game bug, needs verifying) [smf-]

New working clones
------------------
Golden Tee '98 (v1.00C) [Brian Troha, The Dumping Union]

-im01: xtal label was confirmed [hap]

-hds200: Hook up Z80DMA, initial video work [Dirk Best]

-input_merger: remove awkward initial_state setter, add notes [hap]

-sms.xml: Noted Galactic Protector region issue. (#8959) [0kmg]

-bus/nes_ctrl: Work on Famicom joypads + more separation of EXP port. (#8956) [0kmg]
 * bus/nes_ctrl: Work on Famicom joypads + more separation of EXP port.
   - Enforced proper strobe behavior on joypads. Added helper function to controller interface for common pattern.
   - Added proper expansion port version of joypad.
   - Streamlined pachinko controller by making it an expansion joypad subclass. Moreover, ball launch lever now works correctly!
   - Added missing battery-backed WRAM to Pachio-kun 5, game runs now.
   - Simplified arcade stick a bit, now also a subclass of the expansion joypad.
   - Rewrote Hori Twin and 4 Players adapters. The latter's 4P mode protocol now works. In theory this supports six players
      simultaneously, though all known games using it have duplicate controls for P1 and P2.
     * machine/nes.cpp: Removed hack that shifted bit 0 reads to support controller port joypads on expansion port. There shouldn't
        be any expansion port devices left that write to bit 0.
 * Fix missing battery-backed WRAM for Royal Blood and Vegas Connection, while we're at it.

-vsnes.cpp: Fixed Balloon Fight bonus life DIP settings (MT8147). (#8962) [0kmg]

New clones marked as NOT_WORKING
--------------------------------
Gals Panic II (Korea, single PCB) [Brian Troha, simzy, darkdawgarcade, The Dumping Union]

-mrgame.cpp: WIP. Most game are playable. [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Motor Show (set 2) [Robbbert]
Motor Show (set 3) [Robbbert]
[Robbbert] [Robbbert]

-mrgame: minor corrections [Robbbert]

New working software list additions
-----------------------------------
rx78_cart: Creative Graphics [Gaming Alexandria, Alan Steremberg, SSJ, Robbbert]

-leonardo: update notes [hap]

-ichiban.cpp, royalmah.cpp: merged the former into the latter. Also some tagmap cleanup and configured banking in royalmah.cpp
 [Ivan Vangelista]

new NOT_WORKING machine
-----------------------
Super Mario Fushigi No JanJanLand [Darksoft, MetalliC, rtw]

-alien.cpp: populate memory map enough for Medalusion 1 games starts booting, remove unneeded NVRAM dumps vegas.cpp: sf2049te uses
 same PIC as sf2049se [MetalliC]

-artwork: small adjustment to chesspiece svgs [hap]

-c64_cass.xml: Added 10 entries (#8977) [Steven Coomber]

New working software list additions
-----------------------------------
Jack the Nipper (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Jack the Nipper II: In Coconut Capers (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
James Bond 007 in The Living Daylights - The Computer Game (Domark) [C64 Ultimate Tape Archive V2.0]
Jinks (Go!) [C64 Ultimate Tape Archive V2.0]
Jon Ritman's Match Day II (Ocean) [C64 Ultimate Tape Archive V2.0]
Juice! (System 3) [C64 Ultimate Tape Archive V2.0]
Jump Jet (Anirog) [C64 Ultimate Tape Archive V2.0]
Jungle Quest (Solar Software) [C64 Ultimate Tape Archive V2.0]
Jungle Quest (Solar Software, alt) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Judge Dredd (Melbourne House) [C64 Ultimate Tape Archive V2.0]

-galpani2.cpp: corrected SHA1 for one ROM of the recently added galpani2k set [Ivan Vangelista]

-hds200: Slightly better SCN2674 hookup [Dirk Best]

-frontend: Don't call .name() on I/O port fields without a running machine. [Vas Crabb]

-tandy2k: don't check input port string to determine button [hap]

-Research into thoop and squash 'refresh rate' protection [Victor Fernandez (City Game), Peter Ferrie, David Haywood] (#8916)
 [David Haywood]
 * Research into thoop and squash 'refrsh rate' protection [Victor Fernandez (City Game), Peter Ferrie, David Haywood]
   - prevents freeze when dying in stage 4 of Thunder Hoop, and bad text on continue in Squash

New working clones
------------------
Judge Dredd (L-1D) [José Renato Castro Milanez]

-gberet.cpp updates: [Ivan Vangelista]
 * dumped PROMs for the bootleg [Michel Blanco]
 * removed tagmap lookups and split the main class in subclasses
 * demoted the bootleg to not working status, as it needs a different PROMs decoding

-wardner.cpp: switched to use views [Ivan Vangelista]

-Correct The Italian Job description (#8970) [sjy525]

-Fixed MT07191 (#8971) [sjy525]

-New NOT_WORKING machines (#8955) [ClawGrip]

New NOT_WORKING machines
------------------------
Master Crane (set 1) [Israel León (Retrolover), ClawGrip]

New NOT_WORKING clones
----------------------
Master Crane (set 2) [Israel León (Retrolover), ClawGrip]

-gba.xml: Added another unreleased game. (#8978) [0kmg]

New working software list additions
-----------------------------------
Perplexus Diodomin (prototype) [James Boulton, GTW]

New working clones (#8975)
--------------------------
Super Real Mahjong VS (Rev A) [Forest of Illusion]

-gamegear.xml: Added a non-working prototype. (#8965) [0kmg]
 * gamegear.xml: Added a non-working prototype.

New NOT_WORKING software list additions
---------------------------------------
BreakThru! (prototype) [smspower, VGHF]

-ms32.cpp: documenting Shutokou Red Zone as undumped (#8953) [FMecha]

-cinemat.cpp: Fixed inputs for Space Wars/Space Ship (MT8148). (#8964) [0kmg]
 * Added missing playfield reset button.
 * Fixed missing 'fire' and 'hyper space' buttons for Space Ship.

-ctk551: implement sound, promote to working (#8960) [Devin Acker]

-bus/nes_ctrl: Revised Bandai Hyper Shot to only use exp port calls. (#8947) [0kmg]
 * bus/nes_ctrl: Revised Bandai Hyper Shot to only use exp port calls.
   - Also corrected Space Shadow mirroring. Now game properly blanks background every other frame.
   - Use %p player specifier for B button.
   - Use helper function for writing strobe bit

-ibm5170.xml: New software list additions (#8946) [ArcadeShadow]
 * New working software list additions Laser Squad (3.5", USA) [The Good Old Days] Laser Squad (5.25", Euro) [The Good Old Days]
    Night Shift [old-games.ru] Push-Over [The Good Old Days] Quest for Glory: Shadows of Darkness [The Good Old Days] Quest for
    Glory I: So You Want to Be a Hero [The Good Old Days] Quest for Glory III: Wages of War [The Good Old Days]
 * New non-working software list additions Quicky: The Computer Game (Euro) [old-games.ru] Tony & Friends in Kellogg's Land
    (Germany) [old-games.ru]

-flower.cpp: Replace hardcoded tags to region pointers, Fix some sound/cocktail mode behaviors (#8944) [cam900]
 * flower.cpp: Replace hardcoded tags to region pointers, Fix some sound/cocktail mode behaviors
   - Use tilemap_t for text layer
   - Add hardware notes
   - Add notes for unknown sound register writes
   - Add sound io register value for debug purpose
   - Fix initializing behavior
   - Use shorter/correct type values, Fix spacings
   - Fix GFX ROM naming
 * audio/flower.cpp: Reduce unnecessary values/pointers
   - Use STRUCT_MEMBER for save values

-bus/nes_ctrl: Updated Partytap controller. (#8943) [0kmg]
 * bus/nes_ctrl: Updated Partytap controller.  Project Q now detects the controller and inputs work.

-Atari Lynx emulation updates (#8931) [cam900]
 * Atari Lynx emulation updates
   - Use memory_view for address mapping
   - Support variable framerate, Fix screen overscan (102 visible + 3 blank lines)
   - Fix collision handling (possibly copy-paste error?)
   - Reduce unnecessary shared pointers, Some duplications
   - Use inlines values for bit flags
   - Add support for variable page size for cartridge, AUDIN pin for bankswitch
   - Add hardware notes, Initialize values
   - Fix namings, Fix spacings, Use shorter/correct type values
   - Move lynx sound functions into device/sound/lynx.*, Fix sound pitch (input clock related)

-bus/nes: Added support for TF2740 related multicart boards. (#8925) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
10000000 in 1 (KB46) [Consolethinks, Nikolka]
14 in 1 (FL-14A) [Consolethinks, Nikolka]
158 in 1 (AB-5027) [Consolethinks, Nikolka]
40 in 1 (110-05) [Consolethinks, Nikolka]
9999 in 1 (108-03) [Consolethinks, Nikolka]

-New machines marked as NOT_WORKING (#8889) [wilbertpol]

New machines marked as NOT_WORKING
----------------------------------
Atari 2600 Point of Purchase Display Unit [Wilbert Pol]

-uknc: de-skeletonize (#8866) [shattered]
 * uknc: de-skeletonize

-a2eramworks3: chmod -x file [hap]

-Revert "ctk551: implement sound, promote to working (#8960)" (#8980) [R. Belmont]
 * This reverts commit 7ce27dadde9c2ad7f8b75e963bae8f47638d054d.

-Revert "Revert "ctk551: implement sound, promote to working (#8960)" (#8980)" (#8982) [R. Belmont]
 * This reverts commit 04c0b4fbb283783905b6350a879bcbf2fbc604c0.

-gt913: fix single-driver build, fix invalid Unicode character. [R. Belmont]

-Revert "uknc: de-skeletonize (#8866)" (#8983) [R. Belmont]
 * This reverts commit 973e4ca436485698bf489b51ae5b65a94b015579.

-c64_cass.xml: Added 16 entries (#8940) [Steven Coomber]
 * c64_cass.xml: Added 16 entries

New working software list additions
-----------------------------------
Ice Hunter (Anirog) [C64 Ultimate Tape Archive V2.0]
IK+ (Activision) [C64 Ultimate Tape Archive V2.0]
Imagine's Arcade Giants (Ariolasoft) [C64 Ultimate Tape Archive V2.0]
Impact (Audiogenic) [C64 Ultimate Tape Archive V2.0]
Impossible Mission (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Impossible Mission (CBS Software) [C64 Ultimate Tape Archive V2.0]
Impossible Mission II (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Indiana Jones and the Temple of Doom (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Infiltrator (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Inspector Gadget and the Circus of !!Fear!! (Melbourne House) [C64 Ultimate Tape Archive V2.0]
International Karate (System 3) [C64 Ultimate Tape Archive V2.0]
International Karate (Prism Leisure) [C64 Ultimate Tape Archive V2.0]
International Tennis (Commodore) [C64 Ultimate Tape Archive V2.0]
It's a Knockout (Ocean) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
International Soccer (CRL) [C64 Ultimate Tape Archive V2.0]
Into the Eagles Nest (Pandora) [C64 Ultimate Tape Archive V2.0]

-c64_cass.xml: Added 15 entries (#8981) [Steven Coomber]

New working software list additions
-----------------------------------
Kayleth (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Kennedy Approach (Transatlantic Simulations) [C64 Ultimate Tape Archive V2.0]
Kettle (Alligata, alt) [C64 Ultimate Tape Archive V2.0]
Killed Until Dead (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Kinetik (Firebird) [C64 Ultimate Tape Archive V2.0]
Klax (Domark) [C64 Ultimate Tape Archive V2.0]
Knight Rider (Ocean) [C64 Ultimate Tape Archive V2.0]
Konami's Coin-Op Hits (Imagine) [C64 Ultimate Tape Archive V2.0]
Kong (Anirog) [C64 Ultimate Tape Archive V2.0]
Kong (Anirog, alt) [C64 Ultimate Tape Archive V2.0]
Kong Strikes Back! (Ocean) [C64 Ultimate Tape Archive V2.0]
Krakout (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Kwik Snax (Codemasters) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Knuckle Busters (Melbourne House) [C64 Ultimate Tape Archive V2.0]
Kwah! (Melbourne House) [C64 Ultimate Tape Archive V2.0]

-namcofl: use memory view instead of bankdev [hap]

-namcofl: flags(i960_cpu_device::BURST) for everyone [hap]

-gkigt.cpp: set i960 burst regions so games show something again. [R. Belmont]

-Filesystem code cleanup [AJR]
 * Eliminate dependencies on emu.h, replacing most fatalerror calls and floptool's ersatz emu_fatalerror class with standard
    exception classes
 * Use range-based std::string constructors in some methods
 * Move filesystem metadata handling to a separate source file
 * Eliminate src/emu as an include path for libformats (necessitates kludge in ti99_dsk.cpp)

-gt913: minor cleanup (#8985) [Devin Acker]

-pcipc.cpp: Fix names of chipsets (#8984) [qeeg]

-s3.cpp: fixed various bugs, all games playable. [Robbbert]

-disco_l1: fixed silly mistake [Robbbert]

-cointek.cpp: very minor updates [Ivan Vangelista]

-wpc_dcs.cpp: removed the jd_l1d set as it's actually a homebrew mod [Ivan Vangelista]

-machine/nes.cpp: Accomodate games that don't initialize RAM. (#8986) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Minna no Taabou no Nakayoshi Daisakusen (Japan) [kmg]

-s4.cpp: WIP. Added outputs, fixed match digit. [Robbbert]

-isa wyse700: Make it not completely crash [Olivier Galibert]

-machine/vsnes.cpp: Replaced MMC3 implementation with Namco 108. (#8991) [0kmg]

-ymfm: Correct for free-running timer B multipler (#8988) [Aaron Giles]

-s6.cpp: All games are playable. Added outputs. [Robbbert]

-s6a.cpp: added outputs [Robbbert]

-Updated translations: [Vas Crabb]
 * Chinese (Traditional and Simplified) [YuiFAN]
 * Czech [Milan Galcik]
 * Slovak [Milan Galcik]

-Cleaned up a few trivial things. [Vas Crabb]

-Updated Greek Translation (#8958) [BraiNKilleRGR]

-hds200: Hook up RS232 ports, fix DUART irqs [Dirk Best]

-a2bus: consolidate card lists to clean up the drivers. [R. Belmont]

-a2bus: add support for the Grafex-32 uPD7220 video card [Rob Justice, R. Belmont]

-audio/wiping.cpp, drivers/at.cpp, cv1k.cpp, namcos10.cpp: removed some machine().root_device() calls [Ivan Vangelista]

-mn1880: Fix ASR carry calculation [AJR]

-ctk551: lcd support [Olivier Galibert]

-Fix chdman threading on cpus with many cores (#9006) [tellowkrinkle]
 * osd: Remove 4-thread limit from non-high-freq work queues
 * osd: osd_event flags don't need to be atomic
 * osd: Fix race condition that made work queues not wake up enough threads for processing

-Z80 CTC ZC/TO goes high for one clock cycle [smf]

-fds: Fixed IRQ regression + IRQ timer improvements. Fixes MT8041. (#9010) [0kmg]
 * fds: Fixed IRQ regression + IRQ timer improvements. Fixes MT8041.
 * fix typo

-hds200: Preliminary keyboard, video improvements, hook up NVRAM [Dirk Best]

-ibm6580_kbd: clean up and simplify (#9009) [shattered]

-simpbowl: Correct game title [AJR]

-magicard.cpp: map RAM at $008***** on several entries, tie vblank irqs to int2_w, update QA [angelosa]
 * This allows puzzleme to enter into attract mode;

-ibm5170_cdrom.xml (#9007) [David 'Foxhack' Silva]

New software list additions
---------------------------
SkyNET [Dave 'Foxhack' Silva]
Terminator 2: Judgment Day - Chess Wars / Grandmaster Chess [Dave 'Foxhack' Silva]
The Terminator: 2029 - Deluxe CD Edition [Dave 'Foxhack' Silva]
The Terminator: Future Shock [Dave 'Foxhack' Silva]
The Terminator: Rampage [Dave 'Foxhack' Silva]

-n64.xml: Added a couple test/demo cartridges. (#9003) [0kmg]

New NOT_WORKING software list additions
---------------------------------------
Controller Checker Ver.1.01 [BehindTheCode, Forest of Illusion]
Unknown RGB Test Cartridge [BehindTheCode, Forest of Illusion]

-ngpc.xml: Added 2 dumps. (#9001) [0kmg]

New working software list additions
-----------------------------------
Pachinko Hisshou Guide - Pocket Parlor (Jpn, prototype) [Forest of Illusion]
Choujou Kessen Saikyou Fighters - SNK vs Capcom - Taikenban (Jpn) [Forest of Illusion]

-nes.xml: Added an unreleased prototype. (#8995) [0kmg]
 * nes.xml: Added an unreleased prototype.

New working software list additions
-----------------------------------
Hero Quest (Germany, prototype) [anonymous]

-poisk1: add vsync and hsync (#8992) [shattered]

-c64_cass.xml: Added 14 entries (#8987) [Steven Coomber]
 * c64_cass.xml: Added 14 entries

New working software list additions
-----------------------------------
Labyrinth (Activision) [C64 Ultimate Tape Archive V2.0]
Last Mission (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
The Last Ninja (Activision) [C64 Ultimate Tape Archive V2.0]
Last Ninja 2: Back with a Vengeance (System 3) [C64 Ultimate Tape Archive V2.0]
Last Ninja 3 (System 3) [C64 Ultimate Tape Archive V2.0]
Law of the West (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Leader Board (Erbe) [C64 Ultimate Tape Archive V2.0]
Leader Board: Executive Edition (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Legend of Kage (Imagine) [C64 Ultimate Tape Archive V2.0]
Licence To Kill (Domark) [C64 Ultimate Tape Archive V2.0]
Little Computer People (Activision) [C64 Ultimate Tape Archive V2.0]
Live Ammo (Ocean) [C64 Ultimate Tape Archive V2.0]
Mag Max (Imagine) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Lotus Esprit Turbo Challenge (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]

New working machines
--------------------
Player's Edge Plus (PS0040) Jackpot Jungle Slots [Brian Troha, Kevin Nagle]

-Player's Edge Plus (PS0048) Double Jackpot Slots [Brian Troha, Kevin Nagle]
 * Player's Edge Plus (PS0070) Hurricane Slots [Brian Troha, Kevin Nagle]
 * Player's Edge Plus (PS0086) Earth Quake Slots [Brian Troha, Kevin Nagle]
 * Player's Edge Plus (PS0267) Spin Til You Win Slots [Brian Troha, Kevin Nagle]
 * Player's Edge Plus (PS0623) Black Cherry Slots [Brian Troha, Kevin Nagle]

New working clones
------------------
Player's Edge Plus (PS0015) Super Joker Slots [Brian Troha, Kevin Nagle]

-Player's Edge Plus (PS0041) Jackpot Jungle Slots [Brian Troha, Kevin Nagle]
 * Player's Edge Plus (PS0271) Spin Til You Win Slots [Brian Troha, Kevin Nagle]
 * Player's Edge Plus (PS0275) 4th of July Slots (set 1) [Brian Troha, Kevin Nagle]
 * Player's Edge Plus (PS0275) 4th of July Slots (set 2) [Brian Troha, Kevin Nagle]
 * Player's Edge Plus (PS0280) 4th of July Slots (set 2) [Brian Troha, Kevin Nagle]
 * Player's Edge Plus (PS0291) Haywire Slots [Brian Troha, Kevin Nagle]

New clones marked as NOT_WORKING
--------------------------------
Player's Edge Plus (PS0205) Red White & Blue Slots [Brian Troha, Kevin Nagle]

-ctk551: minor lcd fix [Olivier Galibert]

-vsnes.cpp: Fixed swapped DIP switches for vsbball. (#9014) [0kmg]

-nes.xml: Added some more recent chiptune related fare. (#9013) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
8Bit Music Power [anonymous]
8Bit Music Power Final [anonymous]
Kira Kira Star Night DX [anonymous]
Neo Heiankyo Alien [anonymous]

-bus/nes: Removed duplicate board and mapper assignment. (#9012) [0kmg]
 * BMC-810544-C-A1 and NTDEC 2746 are the same thing.

-besta: Converted to VME device. (#9008) [shattered]

-tmnt: add note about title music [hap]

-midiin_device: handle channel remapping at playback time instead of load time, also small fix to sysex event parsing (#9019)
 [Devin Acker]

-Fix lockup loading UI with Emscripten builds that don't support threading [Justin Kerk]

-sound.h: Suppress sound_assert errors for fill and copy-type operations when start index is out of range [AJR]

-apple2gs: fix $C034 readback and some uninitialized variables. [R. Belmont]

-s7.cpp: WIP. All machines are somewhat playable. httip_l1: fixed startup tune. s3,4,6,6a: used correct segment decoder as per
 videos. [Robbbert]

-cga: Remove leftover debugging printf [Olivier Galibert]

-s7.cpp: removed remnants of test code. [Robbbert]

-archimedes_keyb.cpp: Improved quadrature mouse accuracy, and added notes on keyboard variants. [Nigel Barnes]

-sm510: fix wakeup after CEND, reorganize files a bit [hap]

-s8,s8a: added outputs, save-state, button labels [Robbbert]

-more consistent naming for franklin ace computers (#9025) [ksherlock]

-bus/nes_ctrl: Updated mahjong controller based on hardware info. (#9024) [0kmg]
 * bus/nes_ctrl: Updated mahjong controller base on hardware info.
   - Fixed reversed Start and Select buttons.
   - Added more labels to the multi-use buttons.
 * emu/inpttype.ipp: Added player 3 and player 4 mahjong input types.

-bus/nes_ctrl: Minor cleanup for Konami Hyper Shot controllers. (#9023) [0kmg]

-bus/nes: Added support for multicart board JY012005. (#9022) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
1998 Super HiK 8 in 1 (JY-021B) [MLX]

-Apple softlist update for December 2021 (#9021) [Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Galactic Wars (cleanly cracked) [4am, san inc, Firehawke]
Circuit Analysis (cleanly cracked) [4am, san inc, Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Beauty and the Beast and The Little Mermaid (800K 3.5") [4am, Firehawke]
Robin Hood and Peter Pan (800K 3.5") [4am, Firehawke]
Big Book Maker: Cute and Cuddly (800K 3.5") [4am, Firehawke]
Big Book Maker: Feeling Good About Yourself (800K 3.5") [4am, Firehawke]
Big Book Maker: Let's Pretend (800K 3.5") [4am, Firehawke]
Big Book Maker: Letters, Numbers, Shapes (800K 3.5") [4am, Firehawke]
Big Book Maker: Myths and Legends (800K 3.5") [4am, Firehawke]
Big Book Maker: Quentin (800K 3.5") [4am, Firehawke]
Once Upon A Time... Puppet Playhouse (800K 3.5") [4am, Firehawke]
Spell It! (Version 06.01.87) (800K 3.5") [4am, Firehawke]
Math Blaster! (Version 06.01.87) (800K 3.5") [4am, Firehawke]
Read 'N Roll (Version 1.1) (800K 3.5") [4am, Firehawke]
Big Book Maker: Tall Tales and American Folk Heroes (800K 3.5") [4am, Firehawke]
Math and Me (Version 1.6) (800K 3.5") [4am, Firehawke]
Math Blaster Mystery (Version 1.3) (800K 3.5") [4am, Firehawke]
Math Blaster Plus! (Version 3.7) (800K 3.5") [4am, Firehawke]
Spell It Plus! (800K 3.5") [4am, Firehawke]
Dinosaur Days Plus! (800K 3.5") [4am, Firehawke]
Robot Writer Plus! (800K 3.5") [4am, Firehawke]
Transportation Transformation (800K 3.5") [4am, Firehawke]
Animals with an Attitude (800K 3.5") [4am, Firehawke]
The Whole Neighborhood (800K 3.5") [4am, Firehawke]
Alice in Wonderland and The Wizard of Oz (800K 3.5") [4am, Firehawke]

-hp9825: added support for SHIFT LOCK & RESET, other minor fixes (#9017) [fulivi]

-ibm5150.xml: 7 New working softwares + 3 redumps (#9016) [ArcadeShadow]
 * ibm5150.xml: 7 New working softwares + 3 redumps

-n64.xml: Added a prototype of an unreleased game. (#9020) [0kmg]

New working software list additions
-----------------------------------
X'treme Roller (prototype) [Baker64]

-audio/flower.cpp: Fix Volume LUT ROM accessing, Add notes (#9011) [cam900]

new NOT_WORKING machine
-----------------------
Puyo Puyo! The Medal Edition [Darksoft, MetalliC, rtw]

-sm511: assume that divider reset is same as sm510 [hap]

-s9.cpp: Added outputs, savestates, notes. Moved alcat_l7 to s11. Made wldtexas a clone of fpwr2_l2. [Robbbert]

-bus/nes_ctrl: Added a SNES controller port adapter. (#9027) [0kmg]

-stv.cpp: remove sfish2 regions hacks [MetalliC]

-by6803.cpp: added a layout for Gen 2 machines. [Robbbert]

New working clones
------------------
Chouji Meikyuu Legion (Japan ver 1.05, set 2) [system11]

-taito_o.cpp: merged everything in the driver file [Ivan Vangelista]

-cyclemb.cpp: Reversed joystick up and down inputs for skydest (MT08162). (#9028) [Steven Coomber]

-ibm5150/5170.xml: add some copy-protected images (#9018) [r09]

New working software list additions (ibm5150.xml)
-------------------------------------------------
Boulder Dash (3.5") [flyers80]
Buffalo Bill's Rodeo Games [flyers80]
F-19 Stealth Fighter (Version 435.04, disk + manual protection) [r09]
[flyers80] [r09]
Grand Prix Circuit [DFXThomas]
King's Quest II: Romancing the Throne (v2.2, 3.5") [Gypsy Dave]
King's Quest III: To Heir Is Human (v2.00, 5.25") [Gypsy Dave]
Might and Magic: Book One: Secret of the Inner Sanctum [Gypsy Dave]
Pro Tennis Tour [flyers80]
Rampage [flyers80]
Tennis Cup II [flyers80]
The Black Cauldron (v1.1m) [Gypsy Dave]
The Last Ninja [flyers80]
Toi Acid Game [flyers80]

New working software list additions (ibm5170.xml)
-------------------------------------------------
Archer Maclean's Pool [flyers80]
Striker [flyers80]
Wizkid: The Story of Wizball II [flyers80]
WWF European Rampage Tour [flyers80]

New not working software list additions (ibm5150.xml)
-----------------------------------------------------
Back to the Future Part III [flyers80]
Lemmings [flyers80]
Midwinter [flyers80]
Paperboy [flyers80]
Pit-Fighter [flyers80]

Replaced software list items (ibm5150.xml)
------------------------------------------
Italy '90 Soccer [flyers80]

-Fix build with newer versions of Emscripten; minimum supported version is now 2.0.25. [Justin Kerk]

-mame.lst: moved alcat_l7 to the correct place. [Robbbert]

-flicker: Fixed a couple of mistakes. [Robbbert]

-BQ4847: added BQ4845 device type which uses an external crystal, added wdo output in addition to rst output, save internal
 registers instead of user buffer, do not update internal date/time at startup if STOP flag is set, copy internal date/time into
 user readable registers at startup, set hour correctly at startup if in 12 hour mode, remove unused bcd validation code, fix leap
 year detection, fix alarm, mask all registers on read, changed wdi to a write line, derive timing from device clock, added missing
 state save, implement default region [smf]

New Working Machine
-------------------
Z80 based, triple time zone clock [smf]

-seta.cpp: add pld info for madshark (#9032) [Sergio G]
 * seta.cpp: add pld info for madshark
   - PCB image: https://i.imgur.com/T9DX0bP.jpg
   - PLDs:
 * https://i.imgur.com/0cneaqg.jpg
 * https://i.imgur.com/JG45AwL.jpg

-Added z80clock to mess.flt [Robbbert]

-taito_b.cpp: DIP switch corrections for sbm & sbmj (MT08160) (#9031) [Steven Coomber]
 * taito_b.cpp: DIP switch corrections for sbm & sbmj (MT08160)

-fixed comment in z80clock.xml [smf-]

-fixed z80clock duplicate part. [smf-]

-emu/render.cpp: Get the initial view check off the hot path (fixes MT08159). [Vas Crabb]

-Tidied up a few things, reduced bloat in a few more slots layouts. [Vas Crabb]

New machines marked as NOT_WORKING
----------------------------------
JoMoX AiRBase 99 [DBWBP]

-c64_cart.xml: redumped and verified blueprnt, gridrunr, hesmon, minfats, omegrace, paintbrs, storymac [Guru]

-vic10.xml: redumped and verified lemans [Guru]

-c64_cart.xml: corrected hashes [Ivan Vangelista]

-viper.cpp: dumped ds2430 for sogeki. Can now get in game, but unplayable due to very heavy GFX glitches and missing gun controller
 emulation [Guru]

-jp.cpp:WIP. Added outputs. Moved petaco to peyper.cpp as it is a better fit. [Robbbert]

-jp.cpp: removed outdated comment. Moved petaco to its new position in mame.lst [Robbbert]

-viper.cpp: dumped ds2430 for sscopex [Guru]

New machines marked as NOT_WORKING
----------------------------------
Kawai ACR-20 Digital Accompaniment Center [DBWBP]

New machines marked as NOT_WORKING
----------------------------------
Yamaha RX15 Digital Rhythm Programmer [DBWBP]

-Updated the Czech and Slovak translations for the rest of the UI changes this month. [Milan Galcik]

-Reduced redundancy in a few more slot machine layouts. [Vas Crabb]

-Added preliminary TS-Configuration for ZX Evolution driver. (#8989) [holub]

New machines marked as not working
----------------------------------
NedoPC, TS-Labs ZX Evolution TS-Configuration [holub]

-gb.cpp: Improved MBC3 RTC handling. (#9035) [wilbertpol]

-gb.cpp: Use memory views for bios disable and to remove some cartslot trampolines. (#9033) [wilbertpol]

-fmtowns_flop_orig.xml: 7 new dumps, 2 replacements (#9030) [r09]
 * Changed the romanization of 日コン連企画 to "Nichikonren Kikaku" as seen in the official website (http://www.nichikon.co.jp/)
 * Replaced the Futoppara FD Heisei disks 7 and 10 with unmodified images

New working software list additions (fmtowns_flop_orig.xml)
-----------------------------------------------------------
FMR/Towns Kihon DOS Tools [cyo.the.vile]
Hometown, U.S.A. [cyo.the.vile]
Hon'yaku Helper Zurukamashi [cyo.the.vile]
Hon'yaku Helper Zurukamashi - Jisho Disk Junior [cyo.the.vile]
Sadistic Gamers Syndrome - Episode I [cyo.the.vile]
Towns Drill - Shougaku Sansuu Series - Sansuu 1-nen (TownsGEAR V2.1 version) [cyo.the.vile]
Yoku Wakaru Sansuu - Shougaku 2-nen [cyo.the.vile]

Replaced software list items
----------------------------
Futoppara FD Heisei 7-gou [fuzzball]
Futoppara FD Heisei 10-gou [fuzzball]

-nes.xml: Added Holy Diver rerelease. (#9029) [0kmg]

New working software list additions
-----------------------------------
Holy Diver Collector's Edition [anonymous]

-Added tsconf.cpp to mess.flt [Robbbert]

-Complete re-write of Philips CD-i CDIC handling; re-promoted to working (#9038) [MooglyGuy]
 * -cdi: Significantly improved compatibility and re-promoted to working. [Ryan Holtz, CD-i Fan]

-drop sound levels in rohga.cpp (#8635) [David Haywood]

-Initialise class variables in some of my drivers. Fixed keyboard in microkit. [Robbbert]

-expand buffer size from 15 to 16 for %t time in video_manager::open_next (#9039) [goldnchild]

-bus/nes_ctrl: Added support for Famicom Turbofile backup RAM. (#9034) [0kmg]

-nes.xml: Corrected Metroid release year. [0kmg]

-Revert "gb.cpp: Improved MBC3 RTC handling. (#9035)" [Vas Crabb]
 * This reverts commit 76152ba35ecbf68bdac14e3aae75ea23b4529092.
 * Real-time clock devices need to use device_rtc_interface, not ad-hoc solutions.

-Revert "taito_b.cpp: DIP switch corrections for sbm & sbmj (MT08160) (#9031)" [Vas Crabb]
 * This reverts commit 3c1beef1a225677bf4a585239572d946fa2cfae7.
 * This change made six of the DIP switches disappear for sbmj.  You don't use IPT_UNKNOWN for DIP switches that are physically
    present but have unknown function.

-Initialised more variables and updated a few things overlooked earlier. [Robbbert]

-lckydraw: added a note. [Robbbert]

-viper.cpp: documented the I/O board for Mocap Golf [Guru]

-jackal.cpp: removed now unneeded hack [Ivan Vangelista]

-Initialise a few variables in h files. [Robbbert]

-srcclean, remove a vestigial thing, and a little cleanup [Vas Crabb]

-Mega Drive is written with a space. [Vas Crabb]
